


@include keyframes-transform(opIn, rotate(0), scale(1), scale(1), scale(1), 0, 0.4, 1);

.loading {

  
  animation: opIn 1.5s ease-in-out;
  display: flex;
  justify-content: center;
  align-items: center;

  img {
    max-height: 25px;
    max-width: 25px;
    opacity: 0;

    &:not(:last-child) {
      margin-right: 15px;
    }

    &.img__left {
      @include keyframes-transform(animateIconLeft, rotate(-20deg), scale(0.3,0.3), scale(1.4,1.4), scale(1.4,1.4), 0.3, 1, 0);
      animation: animateIconLeft 1.5s ease-in-out 0.1s infinite;
    }

    &.img__middle {
      @include keyframes-transform(animateIcon, rotate(0deg), scale(0.3,0.3), scale(1.4,1.4), scale(1.4,1.4), 0.3, 1, 0);
      animation: animateIcon 1.5s ease-in-out 0.5s infinite;
      margin-top: -10px;
    }

    &.img__right {
      @include keyframes-transform(animateIconRight, rotate(20deg), scale(0.3,0.3), scale(1.4,1.4), scale(1.4,1.4), 0.3, 1, 0);
      animation: animateIconRight 1.5s ease-in-out 0.9s infinite;
    }
  }

  &--fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(255,255,255,0.5);
    z-index: 100;
  }
}
